Subject: RE: Zsh observations
From: "Andrej Borsenkow" <[email-masked]>
To: "Michael Schaap" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 5 Jul 2001 10:04:49 +0400

>
> >3. You get command-line completion OOTB.  What does the compinit
> function give
> >you (I've never used that one before)?
>
> "Smart" directory name completion.  For instance. "cd <TAB>" will only
> complete directory names, and much fancier things.  (Check out
> /usr/local/share/zsh/4.02/functions/_*)
>

It gives you much much more. Of course, path names are the most "user
visible" (and most often used) but zsh can complete  command arguments of
*any* type (given suitable completion function) and present them with
description as a list where you can select needed match. It can colorize
these lists. It can do partial word matching like f.c -> foo.c, and even
/u/i/s.h -> /usr/include/signal.h. Check <http://sunsite.dk/zsh/Guide/> that
gives nice tutorial what zsh can do. And it includes ready-to-use completion
for quite a number of commands.

-andrej

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/